Library Version 18.1.40

Dbc::get_priority()
Prev | Chapter 3. The Dbc Handle | Next

## Dbc::get_priority()

    #include <db_cxx.h>

    int
    Dbc::get_priority(DB_CACHE_PRIORITY *priorityp);

The `Dbc::get_priority()` method returns the cache priority for pages referenced by the Dbc handle.

The `Dbc::get_priority()` method may be called at any time during the life of the application.

The `Dbc::get_priority()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### priorityp

The `Dbc::get_priority()` method returns a reference to the cache priority for pages referenced by the Dbc handle in priorityp.

### Class

Dbc

### See Also

Database Cursors and Related Methods

Prev | Up | Next
Dbc::get() | Home | Dbc::put()